jer         14/07/18 15:56:36

  Modified:             ChangeLog qmrtg-2.1-r1.ebuild
  Log:
  EAPI bump. Fix an off-by-one.
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key 
A792A613)

Revision  Changes    Path
1.8                  net-mail/qmrtg/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-mail/qmrtg/ChangeLog?rev=1.8&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-mail/qmrtg/ChangeLog?rev=1.8&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-mail/qmrtg/ChangeLog?r1=1.7&r2=1.8

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-mail/qmrtg/ChangeLog,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- ChangeLog   12 Feb 2010 16:53:58 -0000      1.7
+++ ChangeLog   18 Jul 2014 15:56:36 -0000      1.8
@@ -1,6 +1,11 @@
 # ChangeLog for net-mail/qmrtg
-# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-mail/qmrtg/ChangeLog,v 1.7 2010/02/12 
16:53:58 jer Exp $
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/net-mail/qmrtg/ChangeLog,v 1.8 2014/07/18 
15:56:36 jer Exp $
+
+  18 Jul 2014; Jeroen Roovers <[email protected]> qmrtg-2.1-r1.ebuild,
+  +files/qmrtg-2.1-TAI_STR_LEN.patch, files/mrtg.cfg.patch,
+  files/qmrtg.conf.sample.patch:
+  EAPI bump. Fix an off-by-one.
 
   12 Feb 2010; Jeroen Roovers <[email protected]> qmrtg-2.1-r1.ebuild:
   Fix quoting.



1.3                  net-mail/qmrtg/qmrtg-2.1-r1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-mail/qmrtg/qmrtg-2.1-r1.ebuild?rev=1.3&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-mail/qmrtg/qmrtg-2.1-r1.ebuild?rev=1.3&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-mail/qmrtg/qmrtg-2.1-r1.ebuild?r1=1.2&r2=1.3

Index: qmrtg-2.1-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-mail/qmrtg/qmrtg-2.1-r1.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- qmrtg-2.1-r1.ebuild 12 Feb 2010 16:53:58 -0000      1.2
+++ qmrtg-2.1-r1.ebuild 18 Jul 2014 15:56:36 -0000      1.3
@@ -1,12 +1,11 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-mail/qmrtg/qmrtg-2.1-r1.ebuild,v 1.2 
2010/02/12 16:53:58 jer Exp $
-
-EAPI="2"
+# $Header: /var/cvsroot/gentoo-x86/net-mail/qmrtg/qmrtg-2.1-r1.ebuild,v 1.3 
2014/07/18 15:56:36 jer Exp $
 
+EAPI=5
 inherit eutils
 
-DESCRIPTION="A tool to analyze qmail's activity with the goal to graph 
everything through MRTG."
+DESCRIPTION="A tool to analyze qmail activity with the goal to graph 
everything through MRTG"
 HOMEPAGE="http://dev.publicshout.org/qmrtg";
 SRC_URI="${HOMEPAGE}/download/${P}.tar.gz"
 
@@ -15,21 +14,23 @@
 KEYWORDS="~amd64 ~x86"
 IUSE="doc"
 
-DEPEND=""
 RDEPEND="net-analyzer/mrtg"
 
 src_prepare() {
-       sed -i analyzers/Makefile.in filters/Makefile.in \
-               -e 's|^CFLAGS =|CFLAGS ?=|g' || die "sed failed"
-
-       epatch "${FILESDIR}/mrtg.cfg.patch"
-       epatch "${FILESDIR}/qmrtg.conf.sample.patch"
+       sed -i \
+               -e 's|^CFLAGS =|CFLAGS ?=|g' \
+               analyzers/Makefile.in filters/Makefile.in || die
+
+       epatch "${FILESDIR}"/mrtg.cfg.patch
+       epatch "${FILESDIR}"/qmrtg.conf.sample.patch
+       epatch "${FILESDIR}"/${P}-TAI_STR_LEN.patch
 }
 
+DOCS=( INSTALL.txt )
+
 src_install () {
-       emake install DESTDIR="${D}" || die "emake install failed"
+       default
        keepdir /var/lib/qmrtg
-       dodoc INSTALL.txt
        if use doc ; then
                docinto txt
                dodoc doc/*.txt




Reply via email to